/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2006
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#ifndef GUI_READER_H
#define GUI_READER_H
#include <lemon/lemon_reader.h>

#include "mapstorage.h"

using lemon::LemonReader;

class GuiReader : public LemonReader::SectionReader
{
  private:
    MapStorage* mapstorage;
    MapStorage::GUISectData& gui_data;
  protected:
    virtual bool header(const std::string&);
    virtual void read(std::istream&);
  public:
    typedef LemonReader::SectionReader Parent;
    GuiReader(LemonReader&, MapStorage*, MapStorage::GUISectData&);
};

#endif
